package cn.com.qmth.examcloud.api;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class PagerQuery implements Serializable {

    private static final long serialVersionUID = -4542740034269943501L;

    @ApiModelProperty(value = "第几页(从1开始)")
    protected Integer pageNo;

    @ApiModelProperty(value = "每页条数")
    protected Integer pageSize;

    public Integer getPageNo() {
        // 默认值
        if (pageNo == null || pageNo < 1) {
            pageNo = 1;
        }

        return pageNo;
    }

    public Integer getPageSize() {
        // 默认值
        if (pageSize == null || pageSize < 1) {
            pageSize = 10;
        }

        return pageSize;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
